Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.csus.ecs.pc2.api
Interface IProblemDetails

    public interface IProblemDetails

This interface describes the PC2 API view of the a standing (ranking) information for a particular `IClient` as determined by the current PC2 Scoring Algorithm.

An `IStanding` object contains information about the standing (ranking) of one particular problem.

This documentation describes the current draft of the PC2 API, which is subject to change.

Version:
  $Id: IProblemDetails.java 2205 2010-10-18 00:28:43Z laned $
Author:
  pc2@ecs.csus.edu

Method Summary
`long` | `getAttempts()` The number of attempts for this problem.
`IClient` | `getClient()` The client for this problem data.
`long` | `getPenaltyPoints()` In Version 8, this was ProblemScoreData.getScore()
`IProblem` | `getProblem()` A Contest Problem.
`int` | `getProblemId()` The Problem Number for this problem
`long` | `getSolutionTime()` The solution time for this problem
`boolean` | `isSolved()` Has this Problem Been Solved?

Method Detail

### getClient

    IClient getClient()

  The client for this problem data.

  Returns:
    the client info for this problem details.

### getProblem

    IProblem getProblem()

  A Contest Problem.

  Returns:
    the problem for these details.

### getAttempts

    long getAttempts()

  The number of attempts for this problem.

  Returns:
    number of attempts for this problem.

### getProblemId

    int getProblemId()

  The Problem Number for this problem

  Returns:
    the number of the problem in the contest (numbers start at 1)

### getSolutionTime

    long getSolutionTime()

  The solution time for this problem

  Returns:
    number of elapsed minutes when problem was solved.

### getPenaltyPoints

    long getPenaltyPoints()

  In Version 8, this was ProblemScoreData.getScore()

  Returns:
    number of penalty points

### isSolved

    boolean isSolved()

  Has this Problem Been Solved?

  Returns:
    true if solved, else false.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD